AI resources
Enable binary mode
You can enable binary mode so that, after the buyer completes the payment in the Mercado Pago checkout, the result is either approved or rejected without passing through intermediate statuses such as pending or in_process.
Creating the order does not return an immediate payment result: the order is created with the created status and is resolved when the buyer completes the checkout.
Binary mode applies to the payment result after the buyer completes the checkout, not to the order creation response. Because payments that would need to remain pending or in process will be rejected, this mode may decrease the approval rate.
To enable binary mode, include the capture_mode parameter with the value automatic when sending the request to the Create orderAPI endpoint.
curlcurl -X POST \ -H 'accept: application/json' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ENV_ACCESS_TOKEN' \ -H 'X-Idempotency-Key: UNIQUE_KEY' \ 'https://api.mercadopago.com/v1/orders' \ -d '{ "type": "online", "processing_mode": "manual", "capture_mode": "automatic", "total_amount": "1000.00", "external_reference": "order_pro_123", "payer": { "email": "buyer@email.com" }, "items": [ { "title": "My product", "unit_price": "1000.00", "quantity": 1 } ] }'